PHP Manual
Prev |  | Next

# kadm5_chpass_principal

(PECL)

kadm5_chpass_principal -- Changes the principal's password

## Description

bool kadm5_chpass_principal ( resource handle, string principal, string password )

kadm5_chpass_principal() sets the new password password for the principal.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Example of changing principal's password
`<?php $handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password"); kadm5_chpass_principal($handle, "burbach@GONICUS.LOCAL", "newpassword"); kadm5_destroy($handle); ?>`

Prev | Home | Next
KADM5 | Up | kadm5_create_principal